Debian Bug report logs - #621065
klibc-utils: ipconfig DHCP on HP Proliant BL460cG7

version graph

Package: klibc-utils; Maintainer for klibc-utils is maximilian attems <maks@debian.org>; Source for klibc-utils is src:klibc.

Reported by: Olivier DRAGHI <odraghi@gmail.com>

Date: Wed, 6 Apr 2011 08:42:02 UTC

Severity: normal

Found in version klibc/1.5.20-1

Fixed in versions klibc/1.5.22-1, klibc/1.5.20-1+squeeze1

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#621065; Package klibc-utils. (Wed, 06 Apr 2011 08:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier DRAGHI <odraghi@gmail.com>:
New Bug report received and forwarded. Copy sent to maximilian attems <maks@debian.org>. (Wed, 06 Apr 2011 08:42:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier DRAGHI <odraghi@gmail.com>
To: submit@bugs.debian.org
Subject: klibc-utils: ipconfig DHCP on HP Proliant BL460cG7
Date: Wed, 6 Apr 2011 10:40:47 +0200
[Message part 1 (text/plain, inline)]
Package: klibc-utils
Version: 1.5.20-1


I encounter problems during initramfs to install Debian Squeeze (with
FAI) on HP Proliant BL460c G7.

ipconfig unable to configure the address via DHCP.

The last message is:
IP-Config: eth0 hardware address d4:85:64:5e:c0:f8 mtu 1500 DHCP RARP

On my DHCP server (dhcp3-server 3.1.1-6+lenny4) logs I see in loop

 dhcpd: DHCPDISCOVER from d4:85:64:5e:c0:f8 via eth1
 dhcpd: DHCPOFFER on 10.150.15.172 to d4:85:64:5e:c0:f8 via eth1
 dhcpd: DHCPDISCOVER from d4:85:64:5e:c0:f8 via eth1
 dhcpd: DHCPOFFER on 10.150.15.172 to d4:85:64:5e:c0:f8 via eth1
 dhcpd: DHCPDISCOVER from d4:85:64:5e:c0:f8 via eth1
 dhcpd: DHCPOFFER on 10.150.15.172 to d4:85:64:5e:c0:f8 via eth1


I never saw the end of DHCP hand check:
DHCPREQUEST for 10.150.15.172
DHCPACK on 10.150.15.172

I found a workaround.

When I call ipconfig with '-n' before, it work:

ipconfig -c dhcp -d eth0 -t 1 -n

ipconfig -c dhcp -d eth0 -t 1
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#621065; Package klibc-utils. (Thu, 14 Apr 2011 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Thu, 14 Apr 2011 14:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 621065@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Olivier DRAGHI <odraghi@gmail.com>, 621065@bugs.debian.org
Cc: klibc@zytor.com
Subject: Re: Bug#621065: klibc-utils: ipconfig DHCP on HP Proliant BL460cG7
Date: Thu, 14 Apr 2011 16:25:33 +0200
Hello,

On Wed, 06 Apr 2011, Olivier DRAGHI wrote:

> 
> I encounter problems during initramfs to install Debian Squeeze (with
> FAI) on HP Proliant BL460c G7.
> 
> ipconfig unable to configure the address via DHCP.
> 
> The last message is:
> IP-Config: eth0 hardware address d4:85:64:5e:c0:f8 mtu 1500 DHCP RARP
> 
> On my DHCP server (dhcp3-server 3.1.1-6+lenny4) logs I see in loop
> 
>  dhcpd: DHCPDISCOVER from d4:85:64:5e:c0:f8 via eth1
>  dhcpd: DHCPOFFER on 10.150.15.172 to d4:85:64:5e:c0:f8 via eth1
>  dhcpd: DHCPDISCOVER from d4:85:64:5e:c0:f8 via eth1
>  dhcpd: DHCPOFFER on 10.150.15.172 to d4:85:64:5e:c0:f8 via eth1
>  dhcpd: DHCPDISCOVER from d4:85:64:5e:c0:f8 via eth1
>  dhcpd: DHCPOFFER on 10.150.15.172 to d4:85:64:5e:c0:f8 via eth1

there are new ipconfig fixes in the upcoming 1.5.22 klibc git tree:
http://git.kernel.org/?p=libs/klibc/klibc.git;a=summary

Do you know how to cherry-pick certain patches and add them
to the debian package or do you prefer a snapshot deb to test them?
(currently a bit short of time but either is fine)
 
 
> I never saw the end of DHCP hand check:
> DHCPREQUEST for 10.150.15.172
> DHCPACK on 10.150.15.172
> 
> I found a workaround.
> 
> When I call ipconfig with '-n' before, it work:
> 
> ipconfig -c dhcp -d eth0 -t 1 -n
> 
> ipconfig -c dhcp -d eth0 -t 1

hmmm
without debug build output of ipconfig that says nothing to me.

thank you for your feedback

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#621065; Package klibc-utils. (Thu, 21 Apr 2011 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Tilman Koschnick" <til@subnetz.org>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Thu, 21 Apr 2011 15:54:03 GMT) Full text and rfc822 format available.

Message #15 received at 621065@bugs.debian.org (full text, mbox):

From: "Tilman Koschnick" <til@subnetz.org>
To: 621065@bugs.debian.org
Subject: Re: Bug#621065: klibc-utils: ipconfig DHCP
Date: Thu, 21 Apr 2011 17:45:00 +0200 (CEST)
Hi,

I have encountered the same problem during FAI setup of a new server.

If you had a snapshot deb available, I would be happy to test.

Regards, Til





Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#621065; Package klibc-utils. (Tue, 10 May 2011 13:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Ton <peter@nimbuzz.nl>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Tue, 10 May 2011 13:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 621065@bugs.debian.org (full text, mbox):

From: Peter Ton <peter@nimbuzz.nl>
To: 621065@bugs.debian.org
Subject: Re: Bug#621065: klibc-utils: ipconfig DHCP
Date: Tue, 10 May 2011 15:03:24 +0200
Hello,
I've encountered the same with FAI and a Dell PowerEdge R610.
Using klibc 1.5.21 from sid with commit
92823d1a78a8a6f3e7a7cc36f949ca6379c4e77c solved the issue for me.
Regards,
Peter





Added tag(s) pending. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Wed, 18 May 2011 11:24:39 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Wed, 18 May 2011 13:36:18 GMT) Full text and rfc822 format available.

Notification sent to Olivier DRAGHI <odraghi@gmail.com>:
Bug acknowledged by developer. (Wed, 18 May 2011 13:36:19 GMT) Full text and rfc822 format available.

Message #27 received at 621065-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 621065-close@bugs.debian.org
Subject: Bug#621065: fixed in klibc 1.5.22-1
Date: Wed, 18 May 2011 13:32:22 +0000
Source: klibc
Source-Version: 1.5.22-1

We believe that the bug you reported is fixed in the latest version of
klibc, which is due to be installed in the Debian FTP archive:

klibc-utils-floppy-udeb_1.5.22-1_amd64.udeb
  to main/k/klibc/klibc-utils-floppy-udeb_1.5.22-1_amd64.udeb
klibc-utils-udeb_1.5.22-1_amd64.udeb
  to main/k/klibc/klibc-utils-udeb_1.5.22-1_amd64.udeb
klibc-utils_1.5.22-1_amd64.deb
  to main/k/klibc/klibc-utils_1.5.22-1_amd64.deb
klibc_1.5.22-1.debian.tar.gz
  to main/k/klibc/klibc_1.5.22-1.debian.tar.gz
klibc_1.5.22-1.dsc
  to main/k/klibc/klibc_1.5.22-1.dsc
klibc_1.5.22.orig.tar.gz
  to main/k/klibc/klibc_1.5.22.orig.tar.gz
libklibc-dev_1.5.22-1_amd64.deb
  to main/k/klibc/libklibc-dev_1.5.22-1_amd64.deb
libklibc-udeb_1.5.22-1_amd64.udeb
  to main/k/klibc/libklibc-udeb_1.5.22-1_amd64.udeb
libklibc_1.5.22-1_amd64.deb
  to main/k/klibc/libklibc_1.5.22-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 621065@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated klibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 May 2011 13:39:01 +0200
Source: klibc
Binary: libklibc-dev libklibc klibc-utils klibc-utils-udeb klibc-utils-floppy-udeb libklibc-udeb
Architecture: source amd64
Version: 1.5.22-1
Distribution: unstable
Urgency: high
Maintainer: maximilian attems <maks@debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 klibc-utils - small utilities built with klibc for early boot
 klibc-utils-floppy-udeb - small utilities built with klibc for the boot floppy (udeb)
 klibc-utils-udeb - small utilities built with klibc for early boot (udeb)
 libklibc   - minimal libc subset for use with initramfs
 libklibc-dev - kernel headers used during the build of klibc
 libklibc-udeb - minimal libc subset for use with initramfs (udeb)
Closes: 613955 618616 621065 622814
Changes: 
 klibc (1.5.22-1) unstable; urgency=high
 .
   * New upstream release (arm, ipconfig)
     - arm: fix build failure with latest binutils. (closes: #618616)
     - arm: use bx on thumb2 (v3) (LP: #527720)
     - ipconfig: handle multiple connected network dev. (closes: #621065)
   * Ubuntu sync add ppc64-static. (closes: #613955)
     Thanks Colin Watson <cjwatson@ubuntu.com>.
   * Ubuntu sync add klcc multiarch-include-path. (closes: #622814)
     Thanks Steve Langasek <steve.langasek@canonical.com>
   * Pump standard version to 3.9.2 without changes.
   * Drop Jeff Bailey from Uploaders.
Checksums-Sha1: 
 b7cfd5e7b18e25d9c2d6a78c42ec7208834d8a20 1190 klibc_1.5.22-1.dsc
 108429a07082f9646b9ff449a04f97dc06f0b913 607196 klibc_1.5.22.orig.tar.gz
 6d24717c3d8a41a7c62cfc45936b5f2fb1906fdb 16562 klibc_1.5.22-1.debian.tar.gz
 05ccdd912eb96074e868cd1eafa6b4b0c31f8de4 227394 libklibc-dev_1.5.22-1_amd64.deb
 622dfe0e6ebfe59d0f8d6153d9af93c57c21490e 53666 libklibc_1.5.22-1_amd64.deb
 28b85227bd4730aefd896d45def6be46d67702e5 179346 klibc-utils_1.5.22-1_amd64.deb
 9bf5b547741043321c6c4e432a41263d771023e2 178004 klibc-utils-udeb_1.5.22-1_amd64.udeb
 02db2e81c66a148ba0a006135bb98bab550340e3 24910 klibc-utils-floppy-udeb_1.5.22-1_amd64.udeb
 eea704e8142be20a4496e9cc58df055a2104c645 37460 libklibc-udeb_1.5.22-1_amd64.udeb
Checksums-Sha256: 
 ce4ada66596114fef33402966174a90813374ad2bfb9c480546debc1d8b44e73 1190 klibc_1.5.22-1.dsc
 d881d667e4c9865c94cea8a2f1fd8b61d732d026b58faa3e338bc5353389b009 607196 klibc_1.5.22.orig.tar.gz
 598bcbbcee2340fb8f5bad04c8fe833069dfc8cc684d8c637a8c8c3aa84eb955 16562 klibc_1.5.22-1.debian.tar.gz
 09edf40e803f3a7db9a94a897576a4dec934218899830748d43c106769b038d1 227394 libklibc-dev_1.5.22-1_amd64.deb
 efd51b128ba02224849ef3e6fc2d7ed6f17e5e935ffcc33691e30ab2ba138216 53666 libklibc_1.5.22-1_amd64.deb
 0c288920d5b232812fb35842b0df41f60321bcfadaf6ec1ea296dfabd00920cd 179346 klibc-utils_1.5.22-1_amd64.deb
 2a61b0f4632a3ddc9f7b75fd51a93e0aa34bbabc5c3122368149c969e6f115ec 178004 klibc-utils-udeb_1.5.22-1_amd64.udeb
 8a6168746d2b05113444464148300da7a480ea0e972bdb606066dc2421e898e0 24910 klibc-utils-floppy-udeb_1.5.22-1_amd64.udeb
 6c80718ba989be54430a658ee637dec3989d02af24e1ca218ba8549f4707f9a1 37460 libklibc-udeb_1.5.22-1_amd64.udeb
Files: 
 0fa93623e858a4e63d692b5b55990a01 1190 libs optional klibc_1.5.22-1.dsc
 3f33faab00ba97d44b302fd617d9e13b 607196 libs optional klibc_1.5.22.orig.tar.gz
 9b083da9b757feab14a9a7c9592231a8 16562 libs optional klibc_1.5.22-1.debian.tar.gz
 b16ad62e7c2c6027f7a74d6076cfb290 227394 libdevel optional libklibc-dev_1.5.22-1_amd64.deb
 3c716c6d0c0f0da4162d7e859eb13f74 53666 libs optional libklibc_1.5.22-1_amd64.deb
 4e843a1432330d3042d6a3e70800b280 179346 libs optional klibc-utils_1.5.22-1_amd64.deb
 b157628f1512a23825cdb5802b195320 178004 debian-installer optional klibc-utils-udeb_1.5.22-1_amd64.udeb
 ddb397e3707a889506df24ac74f7feb0 24910 debian-installer optional klibc-utils-floppy-udeb_1.5.22-1_amd64.udeb
 71cadbe1d3ed69adbad57670b093b6a3 37460 debian-installer optional libklibc-udeb_1.5.22-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3TydEACgkQeW7Lc5tEHqgdSQCfWTrCPzrd7ynOOmIKq5pGbSJV
NosAoLUfj+kdhW8pkEOu+eDLCHEGX1cS
=B/R4
-----END PGP SIGNATURE-----





Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Wed, 01 Jun 2011 19:54:08 GMT) Full text and rfc822 format available.

Notification sent to Olivier DRAGHI <odraghi@gmail.com>:
Bug acknowledged by developer. (Wed, 01 Jun 2011 19:54:08 GMT) Full text and rfc822 format available.

Message #32 received at 621065-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 621065-close@bugs.debian.org
Subject: Bug#621065: fixed in klibc 1.5.20-1+squeeze1
Date: Wed, 01 Jun 2011 19:52:20 +0000
Source: klibc
Source-Version: 1.5.20-1+squeeze1

We believe that the bug you reported is fixed in the latest version of
klibc, which is due to be installed in the Debian FTP archive:

klibc-utils-floppy-udeb_1.5.20-1+squeeze1_amd64.udeb
  to main/k/klibc/klibc-utils-floppy-udeb_1.5.20-1+squeeze1_amd64.udeb
klibc-utils-udeb_1.5.20-1+squeeze1_amd64.udeb
  to main/k/klibc/klibc-utils-udeb_1.5.20-1+squeeze1_amd64.udeb
klibc-utils_1.5.20-1+squeeze1_amd64.deb
  to main/k/klibc/klibc-utils_1.5.20-1+squeeze1_amd64.deb
klibc_1.5.20-1+squeeze1.debian.tar.gz
  to main/k/klibc/klibc_1.5.20-1+squeeze1.debian.tar.gz
klibc_1.5.20-1+squeeze1.dsc
  to main/k/klibc/klibc_1.5.20-1+squeeze1.dsc
libklibc-dev_1.5.20-1+squeeze1_amd64.deb
  to main/k/klibc/libklibc-dev_1.5.20-1+squeeze1_amd64.deb
libklibc-udeb_1.5.20-1+squeeze1_amd64.udeb
  to main/k/klibc/libklibc-udeb_1.5.20-1+squeeze1_amd64.udeb
libklibc_1.5.20-1+squeeze1_amd64.deb
  to main/k/klibc/libklibc_1.5.20-1+squeeze1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 621065@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated klibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 May 2011 17:17:18 +0200
Source: klibc
Binary: libklibc-dev libklibc klibc-utils klibc-utils-udeb klibc-utils-floppy-udeb libklibc-udeb
Architecture: source amd64
Version: 1.5.20-1+squeeze1
Distribution: stable
Urgency: low
Maintainer: maximilian attems <maks@debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 klibc-utils - small utilities built with klibc for early boot
 klibc-utils-floppy-udeb - small utilities built with klibc for the boot floppy (udeb)
 klibc-utils-udeb - small utilities built with klibc for early boot (udeb)
 libklibc   - minimal libc subset for use with initramfs
 libklibc-dev - kernel headers used during the build of klibc
 libklibc-udeb - minimal libc subset for use with initramfs (udeb)
Closes: 621065
Changes: 
 klibc (1.5.20-1+squeeze1) stable; urgency=low
 .
   * ipconfig: handle multiple connected network dev. (closes: #621065)
   * ipconfig: Escape DHCP options. (CVE-2011-1930)
Checksums-Sha1: 
 9b3b08405e34067b0e8967542644111e756dd8de 1279 klibc_1.5.20-1+squeeze1.dsc
 91893e2609c8817dee179833569cf0309a7829bf 19166 klibc_1.5.20-1+squeeze1.debian.tar.gz
 186979f0a03aea058e6853e570e1d5b2dc607721 227280 libklibc-dev_1.5.20-1+squeeze1_amd64.deb
 d24884cb666ebcc9069d70b99233ee1071c8c686 53520 libklibc_1.5.20-1+squeeze1_amd64.deb
 422b65061ee4c77172e044e1a04e1197b3471704 179342 klibc-utils_1.5.20-1+squeeze1_amd64.deb
 149d65f5b7b750bcd79058f29222462cda0aa0af 178006 klibc-utils-udeb_1.5.20-1+squeeze1_amd64.udeb
 c5390f0309d7929030ff3ec55edc524674da1dae 24912 klibc-utils-floppy-udeb_1.5.20-1+squeeze1_amd64.udeb
 1ed61eb9b2ac668c0a15ba00b18007ee2c522e2d 37464 libklibc-udeb_1.5.20-1+squeeze1_amd64.udeb
Checksums-Sha256: 
 4d98ae9c3e7859b8b9876a64a133652b49cd4ead2ad710e54cd41bc0441dd3ce 1279 klibc_1.5.20-1+squeeze1.dsc
 b48966ae48b447394c49eda4af1d3a8a3693cc263a816047a39eb0438c319933 19166 klibc_1.5.20-1+squeeze1.debian.tar.gz
 e143d517f44f5dd48c7786a4fad5a58c859122fffb3132510835cedf94d91a9d 227280 libklibc-dev_1.5.20-1+squeeze1_amd64.deb
 f128e95649567a923a1131970be680898f867a19a256b867724a27d747570f5b 53520 libklibc_1.5.20-1+squeeze1_amd64.deb
 f003c094d5d6ca504d8bb12d0d1d5a9a1abbd4e1977fbdcdf413d8edb9981d8b 179342 klibc-utils_1.5.20-1+squeeze1_amd64.deb
 8b9b9785031599736271cddcaaa9279467c321dbafed51e1e0539510f0a62120 178006 klibc-utils-udeb_1.5.20-1+squeeze1_amd64.udeb
 c524d5ae78bf2f52d28b2a7af89dbf454673393ba821c6d964199828aad2482a 24912 klibc-utils-floppy-udeb_1.5.20-1+squeeze1_amd64.udeb
 fa303b3711d65556b08af54f6c64c7fbfd976b5437610ef0a00ea045cdc79782 37464 libklibc-udeb_1.5.20-1+squeeze1_amd64.udeb
Files: 
 6d5d52bebc861106420ab16f19911cdc 1279 libs optional klibc_1.5.20-1+squeeze1.dsc
 b307705c6f981cfce97938de17ac72d6 19166 libs optional klibc_1.5.20-1+squeeze1.debian.tar.gz
 e45aef9d3a3773a7b515d8ef273d179c 227280 libdevel optional libklibc-dev_1.5.20-1+squeeze1_amd64.deb
 2b08fa309a47a376717116dbc231dcdd 53520 libs optional libklibc_1.5.20-1+squeeze1_amd64.deb
 582677bcb76489bcede80757557b603d 179342 libs optional klibc-utils_1.5.20-1+squeeze1_amd64.deb
 e251130712cba4cd04c362d820e9d16d 178006 debian-installer optional klibc-utils-udeb_1.5.20-1+squeeze1_amd64.udeb
 5576f26aff4e871f9f19a08a85489485 24912 debian-installer optional klibc-utils-floppy-udeb_1.5.20-1+squeeze1_amd64.udeb
 c6c25eddd5a7fa224c720db75cba4b4d 37464 debian-installer optional libklibc-udeb_1.5.20-1+squeeze1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3jt6EACgkQeW7Lc5tEHqhZkgCggmqnsCwiPu+/t1PJLGodilfx
PBoAoIeUTCnPbzGJGPZYQZcD8cT1QeK4
=kNV0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Jun 2011 07:35:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:59:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.